//*****************************************************************************************

//Starter Web Interface v2.1

//Copyright (c) 2018 Pharos Architectural Controls Limited. All rights reserved.

//This sample content is made freely available for illustrative purposes only. Pharos Architectural Controls grants a non-exclusive copyright licence to use this sample content from which you can
//generate content tailored to your own specific needs for use with products from Pharos Architectural Controls. This sample content has not been thoroughly tested under all conditions and Pharos
//Architectural Controls cannot guarantee reliability or serviceability.

//This sample content is provided "as is" without warranties of any kind. The implied warranties of non-infringement, merchantability and fitness for a particular purpose are expressly
//disclaimed. In no event shall Pharos Architectural Controls be liable to any party for direct, indirect, incidental or consequential damages arising from the use of this sample content.

//For further information please contact support@pharoscontrols.com.

//*****************************************************************************************


(function(b,c){var $=b.jQuery||b.Cowboy||(b.Cowboy={}),a;$.throttle=a=function(e,f,j,i){var h,d=0;if(typeof f!=="boolean"){i=j;j=f;f=c} 
function g(){var o=this,m=+new Date()-d,n=arguments; function l(){d=+new Date();j.apply(o,n)} 
function k(){h=c} if(i&&!h){l()} h&&clearTimeout(h);if(i===c&&m>e){l()}else{if(f!==true){h=setTimeout(i?k:l,i===c?e-m:e)}}} if($.guid){g.guid=j.guid=j.guid||$.guid++} return g};
$.debounce=function(d,e,f){return f===c?a(d,e,false):a(d,f,e!==false)}})(this);


var pGroup = 0;
var zoneActive = '100';
$(document).ready(function () {
	$("#pickerGroups").on('change', function () {
		pGroup = $(this).children(":selected").attr("id");
		updateSliders(pGroup);
		
	});
});

function setCP() {
	Raphael(function () {
		var cpsize = 0;
		var cpWidth = 0;
		var cpHeight = 0;
		var bHeight = 0;
		var cpw = $(window).width() / 2;
		
		var cph = $(window).scrollTop() + $(window).height() / 2;
		
		bHeight = $(window).height();
		
		$('.container').css('height', bHeight);
		var o = window.orientation;
		if (o != 90 && o != -90) {
			if (cpw > 350) {
				cpsize = 400;
			} else if (cpw < 350 && cpw > 200) {
				cpsize = 325;
			} else if (cpw < 200 && cpw > 150) {
				cpsize = 275;
			} else if (cpw < 150) {
				cpsize = 225;
			}
			cpWidth = cpw - (cpsize / 2);
			cpHeight = cph - (cpsize * 0.3);
		
			cp = Raphael.colorpicker(cpWidth, cpHeight, cpsize, "#fff", 'page5');
			
		} else {
			if (cph > 500) {
				cpsize = 400;
			} else if (cph < 500 && cph > 300) {
				cpsize = 375;
			} else if (cph < 300 && cph > 200) {
				cpsize = 325;
			} else if (cph < 200) {
				cpsize = 250;
			}
			cpWidth = cpw;
			cpHeight = cph - (cpsize / 1.65);
			cp = Raphael.colorpicker(cpWidth, cpHeight, cpsize, "#fff", 'page5');
			
		}
		$('svg').css("top", cpHeight);
		$('svg').css("left", cpWidth);
		$('svg').css("position", "absolute");
		clr = Raphael.color("#fff");
		
		var onchange = function (item) {
			return function (clr) {
				clr = Raphael.color(clr);
				
				var cr = clr.r;
				var cg = clr.g;
				var cb = clr.b;
				var chex = clr.hex;
				$('#vr').val(cr);
				$('#vg').val(cg);
				$('#vb').val(cb);
				$('#vhex').val(chex);
				Query.run_command({"input":'release_all_timelines() release_all_scenes() get_group_override(' + pGroup + '):set_irgb(' + 255 + ',' + clr.r + ',' + clr.g + ',' + clr.b + ')'});
				$('.btn2').removeClass('active');
			};
			activeColor = clr
		};
		cp.onchange = onchange(cp);
	});
}

function heartbeat() {
	Query.get_timeline_status(function (w) {
		for (var a = 0; a < Object.keys(w.timelines).length; a++) {
			if (w.timelines[a].active.onstage) {
				$('#timeline' + w.timelines[a].num).addClass('active');
				$('.off').removeClass('off_active');
			} else {
				$('#timeline' + w.timelines[a].num).removeClass('active');
			}
		}
	});
}
$(window).on('resize', function () {
	$('svg').remove();
	setCP();
});
window.addEventListener("orientationchange", function () {
	$('svg').remove();
	setCP();
}, false);
$(document).ready(function () {
	setCP();
$('.off').click(function() {
	$('svg').remove();
	setCP();
});
$('.btn2').click(function() {
	$('#page5 > svg').remove();
	setCP();
});
});